#include<iostream>
using namespace std;
int main()
{
    int n,num=1;
    long l;
    cin>>n>>l;
    while(num<=n) {
        long hi;
        cin>>hi;
        if(hi<=l) {
            break;
        }
        num++;
    }
    if(num==n+1) {
        cout<<"-1";
    } else {
        cout<<num;
    }
    return 0;
}